Update email notifier

Updates the specified email notifier.

Requires one of the following license types: ioa, ioaPreview, or ioe. See License Types.

Requires the Edit permission on the Alerts by email entity (edit:email-notifier). See Identity Exposure Permissions.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
^[0-9]+$

Specifies the ID of the email notifier.

Body Params

Validates the post /email-notifiers response

string

Specifies the email address that receives the notifications.

integer

Specifies the minimum severity that triggers a notification.

directories
array of integers
length ≥ 1

Specifies the IDs of the directories to send notifications for.

directories
string

Specifies a description of the notifier.

checkers
array of integers | null

Specifies the IDs of the checkers to send notifications for. Required when inputType is deviances.

checkers
attackTypes
array of integers | null

Specifies the IDs of the attack types to send notifications for. Required when inputType is attacks.

attackTypes
profiles
array of integers | null

Specifies the IDs of the security profiles to send notifications for. Required when inputType is deviances or attacks.

profiles
enum

Specifies what triggers a notification: deviances for each new deviance, attacks for each attack, or healthChecks for each change in health check status.

Allowed:
Responses

401

Returned if the API key specified in your request is invalid.

404

Returned if the specified email notifier could not be found.

500

Returned if an internal error occurred.

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json